Subject: bug#32521: coreutils timeout in a bash script not transparent for the application

From: Pádraig Brady <[email-masked]>
Date: Sun, 26 Aug 2018 12:54:30 -0700

tag 32521 notabug
close 32521
stop

On 24/08/18 11:19, Rafal Jankowski wrote:
> Dear coreutils users/developers
> 
> https://stackoverflow.com/questions/52008104/coreutils-timeout-in-a-bash-script-not-transparent-for-the-application
> 
> I have not done enough investigation to claim this is a true timeout bug
> but I'm wondering if you could advise on this issue?

It seems that both timeout(1) and fabric are acting as monitors,
and fabric < 2 is not general enough to handle that.
You could simplify some of timeout's monitoring duties,
so that it runs more like a normal command
by using the --foreground option.

Given this is not an issue with Fabric 2,
I'm closing this for now.

cheers,
Pádraig